Bug 6231 - Feature request: Samba should allow apps sharing media libraries
Feature request: Samba should allow apps sharing media libraries
Status: RESOLVED WONTFIX
Product: Samba 4.0
Classification: Unclassified
Component: File services
unspecified
Other Linux
: P3 enhancement
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-29 13:45 UTC by Jakub 'Livio' Rusinek
Modified: 2009-07-07 03:11 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jakub 'Livio' Rusinek 2009-03-29 13:45:54 UTC
MS WinVista introduced interesting feature of media library sharing. Samba doesn't support it.

More:
* http://windowshelp.microsoft.com/Windows/en-US/Help/079a4d8b-e19d-4d7f-bef1-116cb711364c1033.mspx
* http://www.microsoft.com/windows/windowsmedia/player/faq/sharing.mspx
Comment 1 Andrew Bartlett 2009-04-02 20:12:06 UTC
Can you provide more details about how Samba does not support this, and links to the references in the WSPP docs that describe these protocols?

Samba may also not be the best project to implement this protocol.  Is there any particular reason to think that an implementation is best based on Samba (the link makes no reference to the traditional Samba ports, so may be a compleatly independent protocol)?

Thanks,
Comment 2 Jakub 'Livio' Rusinek 2009-04-02 23:53:02 UTC
I can't find more dosc about it, but I think it works over CIFS because of remote media library view in Network view, when remote computer entered.

I rather think that it's MS case to provide more info about what they changed.
Comment 3 Matthias Dieter Wallnöfer 2009-04-13 08:34:40 UTC
I mark this as a "feature request". If you don't think that's worth to implement the functionality, close with "WONTFIX".
I personally don't think that there is much interest to start implementing this now since we are more interested in the AD/server capabilities (especially in SAMBA 4), but if you like to have a closer look on it, please do! 
Comment 4 Andrew Bartlett 2009-04-13 18:48:58 UTC
Jakub,

Have you taken any network traces to see what protocols are actually used?
Comment 5 Jakub 'Livio' Rusinek 2009-04-14 02:38:49 UTC
I don't even know how to do this. I heard of Wireshark etc but never tried.
Comment 6 Matthias Dieter Wallnöfer 2009-07-07 03:11:09 UTC
For now we agreed that we don't want to implement this functionality. So closing it with "WONTFIX".